<?php
/**
*** @name login.php
**/

$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path . 'common.php';

$smarty->assign('section', 'login');

try
{
    if($action == 'logout')
    {
		$user->disconnect();

		header('Location: /login.php');
		exit(0);
    }
	elseif($action == 'login')
	{
		$username = '';
		$password = '';
		if(isset($_POST['username']) && isset($_POST['password']))
		{
			$username = trim($_POST['username']);
			$password = trim($_POST['password']);
		}

		$user->connect($username, $password);
		$user->generateSessionID();
		
		header('Location: /index.php');
		exit(0);
	}
}
catch(Exception $e)
{
	$errors[] = $e->getMessage();
}

$smarty->assign('errors', $errors);
$smarty->assign('action', $action);

$smarty->display(TPL_PATH . 'login.html');
?>
